Bug 27582 - Breadcrumb incorrect for POS: Library details page
Summary: Breadcrumb incorrect for POS: Library details page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27583
  Show dependency treegraph
 
Reported: 2021-02-01 12:11 UTC by Martin Renvoize
Modified: 2021-05-13 10:11 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03


Attachments
Bug 27582: Fix breadcrumb (1.43 KB, patch)
2021-02-01 12:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27582: Fix breadcrumb (1.48 KB, patch)
2021-02-01 14:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27582: Fix breadcrumb for POS > Library details page (1.56 KB, patch)
2021-02-07 11:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-02-01 12:11:47 UTC
The 'Library details' summary page for the Point of Sale module is missing the current page in the breadcrumb.
Comment 1 Martin Renvoize 2021-02-01 12:16:03 UTC
Created attachment 116155 [details] [review]
Bug 27582: Fix breadcrumb

This patch adds a link back to the top level 'Point of sale' page in the
breadcrumb for the 'Library details' summary page.

Test plan
1/ Enable 'UseCashRegisters' and 'EnablePointOfSale'
2/ Navigate to 'Point of sale' > 'Library details'
3/ Note the breadcrumb now includes the unlinked' Library details' page
title and a linked 'Point of sale' in the list.
4/ Signoff
Comment 2 Owen Leonard 2021-02-01 14:03:18 UTC
Created attachment 116158 [details] [review]
Bug 27582: Fix breadcrumb

This patch adds a link back to the top level 'Point of sale' page in the
breadcrumb for the 'Library details' summary page.

Test plan
1/ Enable 'UseCashRegisters' and 'EnablePointOfSale'
2/ Navigate to 'Point of sale' > 'Library details'
3/ Note the breadcrumb now includes the unlinked' Library details' page
title and a linked 'Point of sale' in the list.
4/ Signoff

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-02-07 11:05:04 UTC
Created attachment 116454 [details] [review]
Bug 27582: Fix breadcrumb for POS > Library details page

This patch adds a link back to the top level 'Point of sale' page in the
breadcrumb for the 'Library details' summary page.

Test plan
1/ Enable 'UseCashRegisters' and 'EnablePointOfSale'
2/ Navigate to 'Point of sale' > 'Library details'
3/ Note the breadcrumb now includes the unlinked' Library details' page
title and a linked 'Point of sale' in the list.
4/ Signoff

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-02-08 16:05:10 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-02-12 14:11:26 UTC
Small enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.03
Comment 6 Andrew Fuerste-Henry 2021-02-18 13:34:00 UTC
Not backported for 20.05, please ask if needed